# List Appointment Statuses

Endpoint: GET /appointment_status
Version: v1
Security: x-api-key, a-api-key

## Security:

  - `x-api-key` (unknown)
    apiKey in header x-api-key

  - `a-api-key` (unknown)
    apiKey in header a-api-key

## Query parameters:

  - `page` (integer)

  - `page_size` (integer)

  - `sort_by` (array)
    Comma separated search fields. See [Sorting](/#sorting)

## Response 200:

  - `200` (unknown)
    Successful

## Response 200 fields (application/json):

  - `appointment_statuses` (array)

  - `appointment_statuses.row_num` (integer)

  - `appointment_statuses.total_rows` (integer)

  - `appointment_statuses.tenant_id` (integer)

  - `appointment_statuses.appointment_status_id` (integer)

  - `appointment_statuses.status_description` (string)

  - `appointment_statuses.archived` (boolean)

  - `total_entries` (integer)

  - `links` (object)

  - `links.self` (string)
    Example: https://api.pracsuite.com/v1/appointment_status?page=2

  - `links.previous` (string)
    Example: https://api.pracsuite.com/v1/appointment_status?page=1

  - `links.next` (string)
    Example: https://api.pracsuite.com/v1/appointment_status?page=3

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 400

  - `error.code` (string)
    Example: INVALID_PARAMS

  - `error.detail` (string)
    Human readable explanation of the error
    Example: One or more request parameters are invalid.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 401:

  - `401` (unknown)
    Unauthorised

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 403

  - `error.code` (string)
    Example: UNAUTHORIZED

  - `error.detail` (string)
    Human readable explanation of the error
    Example: Access could not be verified for this request.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 403

  - `error.code` (string)
    Example: MISSING_AUTHENTICATION_TOKEN

  - `error.detail` (string)
    Human readable explanation of the error
    Example: Authentication token is missing or the requested endpoint does not exist

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 500

  - `error.code` (string)
    Example: SERVER_ERROR

  - `error.detail` (string)
    Human readable explanation of the error
    Example: An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

